#pragma once

#include "classicanimationscenario.h"

class ClassicFlyingAnimationScenario : public ClassicAnimationScenario
{
public:
    virtual void launch(const std::shared_ptr<ClassicSprite> sprite, const microsec& time_begin, const microsec& time_end) override;
    virtual void update(const microsec& music_offset) override;
    virtual bool isDone() const override;

private:
    float getPoint(float n1, float n2, float perc) const;
    void fadeTrailSprite() const;

    float _percentage;
};
