#include "shared/classicmode/classicfactory.h"
#include "game/classicgame.h"
#include "game/classicgraphicsmanager.h"
#include "tools/music.h"

#include "editor/classiceditor.h"

#include <SFML/Graphics/RenderWindow.hpp>

std::unique_ptr<Game> classic::initGame()
{
    return std::make_unique<ClassicGame>();
}

std::unique_ptr<Editor> classic::initEditor()
{
    return std::make_unique<ClassicEditor>();
}
